Bug 1410647 - mkfs missing feature: uninit_bg
Summary: mkfs missing feature: uninit_bg
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: e2fsprogs
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Lukáš Czerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 00:41 UTC by Account closed by the user
Modified: 2017-06-17 17:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-02 21:50:15 UTC
Type: Bug


Attachments (Terms of Use)
mkfs 23 vs 25 (460 bytes, patch)
2017-01-06 00:41 UTC, Account closed by the user
no flags Details | Diff

Description Account closed by the user 2017-01-06 00:41:28 UTC
Created attachment 1237830 [details]
mkfs 23 vs 25

Older releases used to have enabled the "uninit_bg" feature.

e2fsprogs-1.43.3-1.fc25.x86_64

Comment 1 Eric Sandeen 2017-01-06 17:54:45 UTC
Hm, it's been broken for some time.

upstream:

commit d33e690fe7a6cbeb51349d9f2c7fb16a6ebec9c2
Author: Theodore Ts'o <tytso@mit.edu>
Date:   Mon Oct 24 14:15:43 2016 -0400

    mke2fs.conf: add back missing uninit_bg feature flag
    
    Commit 0da058af9f88: "mke2fs.conf: don't enable metadata_csum by
    default" removed metadata_csum without adding back the uninit_bg flag
    --- which had the net result of causing file systems to take a long
    time to mke2fs, since this caused all of the block group metadata to
    be initialized.
    
    Addresses-Google-Bug: 32342524
    
    Signed-off-by: Theodore Ts'o <tytso@mit.edu>

Comment 2 Peter Backes 2017-06-17 17:16:33 UTC
Should this really be closed as RAWHIDE? How about building e2fsprogs-1.43.4 for f25?


Note You need to log in before you can comment on or make changes to this bug.